%define		module	pyroaring
Summary:	Library for handling efficiently sorted integer sets
Name:		python3-%{module}
Version:	1.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyroaring/
Source0:	https://files.pythonhosted.org/packages/source/p/pyroaring/%{module}-%{version}.tar.gz
# Source0-md5:	9030ab762da966319cd970d64dfb15fb
Patch0:		x32.patch
URL:		https://pypi.org/project/pyroaring/
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An efficient and light-weight ordered set of integers.
This is a Python wrapper for the C library CRoaring.

%description -l pl.UTF-8

%prep
%setup -q -n %{module}-%{version}
%patch -P0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{py3_sitedir}/pyroaring.*.so
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.pyi
%{py3_sitedir}/%{module}/py.typed
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyroaring.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 9f8ef06
- fix build on x32

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 8bc6297
- new

